This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 967414 - nyquist included non-free code.
nyquist included non-free code.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nyquist (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-27 00:47 EDT by mejiko
Modified: 2013-05-28 10:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 10:00:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 631646 None None None Never
GNU Savannah 33646 None None None Never

  None (edit)
Description mejiko 2013-05-27 00:47:27 EDT
Hello.

SRC RPM is: nyquist-3.04-4b.fc18.1.src.rpm

nyquist include non-free code.


Files:

nyquist/xlisp/*

This license is "non-commercial use only", Its non-free.


Suggests:

1. remove non-free code and rebuild.
2. replace fedora free (acceptable licensed) files.
3. remove fedora repos.

Thanks.


Reference:

https://savannah.nongnu.org/bugs/?func=detailitem&item_id=33646
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631646
Comment 1 mejiko 2013-05-27 00:48:13 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-05-28 10:00:39 EDT
This code (all of it) has been relicensed under BSD. See license.txt.

The xlisp source files have not been updated to reflect this fact. Please ask the nyquist upstream to fix the source code to either explicitly state the proper license or simply refer to license.txt.

Note You need to log in before you can comment on or make changes to this bug.